<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "lista_precio".
 *
 * @property int $id
 * @property int $producto_id
 * @property int $tipo_cliente_id
 * @property string $precio
 *
 * @property Producto $producto
 * @property TipoCliente $tipoCliente
 */
class ListaPrecio extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'lista_precio';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['producto_id', 'tipo_cliente_id', 'precio'], 'required'],
            [['producto_id', 'tipo_cliente_id'], 'integer'],
            [['precio'], 'number'],
            [['producto_id'], 'exist', 'skipOnError' => true, 'targetClass' => Producto::className(), 'targetAttribute' => ['producto_id' => 'id']],
            [['tipo_cliente_id'], 'exist', 'skipOnError' => true, 'targetClass' => TipoCliente::className(), 'targetAttribute' => ['tipo_cliente_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'producto_id' => 'Producto',
            'tipo_cliente_id' => 'Tipo Cliente',
            'precio' => 'Precio',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProducto()
    {
        return $this->hasOne(Producto::className(), ['id' => 'producto_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTipoCliente()
    {
        return $this->hasOne(TipoCliente::className(), ['id' => 'tipo_cliente_id']);
    }

    public function getProductoname()
    {
        if(isset($this->producto_id)){
            $producto = Producto::find()->where(['id' => $this->producto_id])->one();
            if(isset($producto)){
                return $producto->nombre;
            }else{
                return "";
            }
        }else{
            return "";
        }
    } 

    public function getTipoclientename()
    {
        if(isset($this->tipo_cliente_id)){
            $tipo_cliente = TipoCliente::find()->where(['id' => $this->tipo_cliente_id])->one();
            if(isset($tipo_cliente)){
                return $tipo_cliente->nombre;
            }else{
                return "";
            }
        }else{
            return "";
        }
    }     

}
